namespace DocuMed.Domain;

public class MapsterRegister : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.NewConfig<MedicalHistory, MedicalHistorySDto>()
            .Map("SectionName", org => org.Section!=null ? org.Section.Name : string.Empty)
            .TwoWays();


        config.NewConfig<ApplicationUser, ApplicationUserSDto>()
            .Map("SectionName", org => org.Section != null ? org.Section.Name : string.Empty)
            .TwoWays();
    }
}